I have the same issue. Seems that version 2.20-1 rpm was pulled from the repo but when I update my server it still wants to upgrade to 2.20-1 and fails....